.modal--overlay{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(#353535, 0.6);
    z-index: 101;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s cubic-bezier(0.23, 1, 0.320, 1) 0.25s;

    &.active{

        opacity: 1;
        visibility: visible;
        transition: all 0.3s cubic-bezier(0.23, 1, 0.320, 1);

        .modal--box{
            opacity: 1;
            visibility: visible;
            transform: translate(0, 0);
            transition: all 0.3s cubic-bezier(0.23, 1, 0.320, 1) 0.25s;
        }
    }
}

.modal--wrapper{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 102;
}

.modal--box{
    opacity: 0;
    visibility: hidden;
    width: 100vw;
    max-width: 1280px;
    padding: 30px;
    background-color: #ffffff;
    transform: translate(0, 20px);
    transition: all 0.3s cubic-bezier(0.23, 1, 0.320, 1);
}

.modal--video-wrap{
    position: relative;
    padding-bottom: 56.25%;
    padding-top: 30px;
    height: 0;
    overflow: hidden;

    & iframe{
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        padding: 0;
        margin: 0;
        bottom: 0;
        outline: 0;
    }
}

.btn--modal-close{
    position: absolute;
    top: 10px;
    right: 10px;
    background-color: transparent;

    .icon{
        fill: $blue-dk;
        max-width: 12px;
        max-height: 12px;
    }

    &:hover{
        
        background-color: transparent;

        .icon{
            fill: rgba($blue, 0.8);
        }
    }

    &:focus{
        outline: 0;
    }
}



#modal-partner{

    .modal--box{
        color: $blue-dk;
        max-width: 320px;
        text-align: center;

        @include bp($tablet){
            max-width: 550px;
        }
    }

    .modal--partner-logo{
        //margin-bottom: 15px;
        text-align: center;

        img{
            display: block;
            margin: 0 auto;
        }
    }

    /*.modal--partner-name{
        display: block;
        @include font(18,23);
        font-weight: 700;
        margin-bottom: 5px;
    }*/

    p,
    .modal--partner-desc{
        @include font(16,24);
    }
}